### Method

# Adw NavigationView set_vhomogeneous

since: 1.7

#### Declaration [src]

    void
    adw_navigation_view_set_vhomogeneous (
      AdwNavigationView* self,
      gboolean vhomogeneous
    )

#### Description [src]

Sets `self` to be vertically homogeneous or not.

If the view is vertically homogeneous, it allocates the same height for all pages.

If it’s not, the view may change height when a different page becomes visible.

Available since: 1.7

Sets property | `Adw.NavigationView:vhomogeneous`

#### Parameters

`vhomogeneous`

  Type: `gboolean`

  Whether to make `self` vertically homogeneous.